Subject: Re: 3.9 merge window kernels

From: poma <[email-masked]>
Date: Tue, 26 Feb 2013 03:18:04 +0100

On 02/26/13 02:12, Josh Boyer wrote:
> On Tue, Feb 26, 2013 at 01:05:05AM +0100, poma wrote:
>> On 02/25/13 01:22, Antti Palosaari wrote:
>> […]
>>>>> Poma, you should probably just start filing bugs for things you hit.
>>>>> In this case, the skge backtrace is just a warning but it can be fixed
>>>>> up relatively easily.
>>>>>
>>>>
>>>> https://bugzilla.redhat.com/show_bug.cgi?id=914994
>>>> Josh, Mauro thanks for the overview. :)
>>>> Antti, cheers. ;)
>>>>
>>>> poma
>>>
>>> I cannot see these warnings at all. What is Kernel option to enable
>>> those debug(?) warnings? From which menu it could be located when make
>>> menuconfig ?
>>>
>>
>> http://kojipkgs.fedoraproject.org/packages/kernel/3.9.0/0.rc0.git7.1.fc19/data/logs/x86_64/build.log
>> Even after reapplying Stephen's "skge: check for PCI dma mapping
>> errors"[1] from David's 'net-next' tree, no luck.
>> …
>> WARNING: at lib/dma-debug.c:933 check_unmap+0x47b/0x960()
>> skge 0000:01:09.0: DMA-API: device driver failed to check map
>> error[device address=0x000000010287094a] [size=90 bytes] [mapped as single]
>> …
> 
> I'm confused.  You pointed to the build I did this morning, which
> definitely doesn't include the commit you mentioned.  Are you saying you
> took this morning's build and applied the patch yourself?  If so, did it
> really get applied?  Do you have logs?  Do you have more than just that
> tiny snippet of error message?
> 

build.log is for Antti's eyes only. :)
Logs are virtually the same, with or without that *old* commit, which is
actually replaced by this one[1].
So of course it isn't in 3.9.0-0.rc0.git7.1.fc19.x86_64. ;)
Building particular module groups(skge & Co.) rather than build an
entire kernel tree isn't big deal, likewise.
You know that better than me. ;)
The real question is whether someone will help squeeze this bug.

Cheers,
poma

[1]
http://git.kernel.org/?p=linux/kernel/git/davem/net-next.git;a=commit;h=aadf1f0fc851d71095d2773bcda73e1423e6b730